package it.redhat.demo.bpms;

import java.util.ArrayList;
import java.util.List;

import org.dashbuilder.dataset.DataColumn;
import org.dashbuilder.dataset.DataSet;
import org.jbpm.kie.services.impl.query.mapper.RawListQueryMapper;

public class RawListQueryMapperEx extends RawListQueryMapper {
	private static final long serialVersionUID = 5935133069234696713L;
	
	@Override  
	protected List<Object> buildInstance(DataSet dataSetResult, int index) {
	       List<Object> row = new ArrayList<Object>();
	       
	       for (DataColumn column : dataSetResult.getColumns()) {
	           row.add(dataSetResult.getColumnById(column.getId()).getValues().get(index));
	       }
	       
	       return row;
	   }
	
	   @Override
	   public String getName() {
	       return "RawListExtended";
	   }
}
